System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.DataException

The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

The exception that is thrown by a strongly typed when the user accesses a DBNull value.

- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class with the specified string.

  The string to display when the exception is thrown.
- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class using the specified serialization information and streaming context.

  A object.
  A structure.
  1.0.5000.0
  2.0.0.0
- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class with the specified string and inner exception.

  The string to display when the exception is thrown.
  A reference to an inner exception.
  1.0.5000.0
  2.0.0.0